> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# إنشاء نقطة نهاية الاستعلام الخاصة بالخدمة أو تحديثها لمثيل معيّن

> هذه ميزة تجريبية. يُرجى التواصل مع الدعم لتمكينها.



## OpenAPI

````yaml /ar/_specs/cloud-openapi.json post /v1/organizations/{organizationId}/services/{serviceId}/serviceQueryEndpoint
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/serviceQueryEndpoint:
    post:
      tags:
        - Service
      summary: إنشاء نقطة نهاية الاستعلام الخاصة بالخدمة أو تحديثها لمثيل معيّن
      description: هذه ميزة تجريبية. يُرجى التواصل مع الدعم لتمكينها.
      parameters:
        - description: معرّف المؤسسة المطلوبة.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: معرّف الخدمة المطلوبة.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstanceServiceQueryApiEndpointsPostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: معرّف فريد يُخصَّص لكل طلب. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ServiceQueryAPIEndpoint'
                  status:
                    description: رمز حالة HTTP.
                    example: 200
                    type: number
                type: object
          description: استجابة ناجحة
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: وصف تفصيلي للخطأ.
                    type: string
                  status:
                    description: رمز حالة HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            يتعذر على الخادم معالجة الطلب أو يرفض معالجته بسبب أمر يُعتبر خطأً
            من جهة العميل.
components:
  schemas:
    InstanceServiceQueryApiEndpointsPostRequest:
      properties:
        allowedOrigins:
          description: المصادر المسموح بها على شكل قائمة نطاقات مفصولة بفواصل
          type: string
        openApiKeys:
          description: إصدار query endpoint الخاص بالخدمة
          items:
            type: string
          type: array
        roles:
          description: الأدوار
          items:
            enum:
              - sql_console_read_only
              - sql_console_admin
            type: string
          type: array
    ServiceQueryAPIEndpoint:
      properties:
        allowedOrigins:
          description: مصادر origin المسموح بها، على شكل قائمة نطاقات مفصولة بفواصل
          type: string
        id:
          description: معرّف query endpoint الخاصة بالخدمة
          type: string
        openApiKeys:
          description: >-
            قائمة مفاتيح OpenAPI التي يمكنها الوصول إلى query endpoint الخاصة
            بالخدمة
          items:
            type: string
          type: array
        roles:
          description: قائمة الأدوار التي يمكنها الوصول إلى query endpoint الخاصة بالخدمة
          items:
            enum:
              - sql_console_read_only
              - sql_console_admin
            type: string
          type: array
  securitySchemes:
    basicAuth:
      description: >-
        استخدم معرّف المفتاح والسرّ الخاص به اللذين تم الحصول عليهما من
        ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````